## GtkPlotPixmap GtkPlotPixmap — Pixmap plots widget. |

## Functions

GtkWidget * | gtk_plot_pixmap_new ()
void | gtk_plot_pixmap_construct ()
GdkPixmap * | gtk_plot_pixmap_get_pixmap ()
GdkBitmap * | gtk_plot_pixmap_get_mask ()

## Properties

gpointer | mask-bitmap | Read / Write
gpointer | pixmap | Read / Write

## Types and Values

struct | GtkPlotPixmap

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkPlotData
                        ╰── GtkPlotPixmap

## Implemented Interfaces

GtkPlotPixmap implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

FIXME:: Need long description.

## Functions

### gtk_plot_pixmap_new ()

    GtkWidget *
    gtk_plot_pixmap_new (GdkPixmap *pixmap,
                         GdkBitmap *mask);

#### Parameters

pixmap | a GdkPixmap. |

#### Returns

a new GtkWidget.

### gtk_plot_pixmap_construct ()

    void
    gtk_plot_pixmap_construct (GtkPlotPixmap *data,
                               GdkPixmap *pixmap,
                               GdkBitmap *mask);

#### Parameters

pixmap | a GdkPixmap |

### gtk_plot_pixmap_get_pixmap ()

    GdkPixmap *
    gtk_plot_pixmap_get_pixmap (GtkPlotPixmap *pixmap);

Get pixmap from GtkPlotPixmap.

#### Parameters

pixmap | a GdkPlotPixmap |

#### Returns

(transfer none) the GdkPixmap

### gtk_plot_pixmap_get_mask ()

    GdkBitmap *
    gtk_plot_pixmap_get_mask (GtkPlotPixmap *pixmap);

Get mask bitmap from GtkPlotPixmap.

#### Parameters

pixmap | a GdkPlotPixmap |

#### Returns

(transfer none) the GdkBitmap

## Types and Values

### struct GtkPlotPixmap

    struct GtkPlotPixmap;

The GtkPlotPixmap struct contains only private data. It should only be accessed through the functions described below.

## Property Details

### The `“mask-bitmap”` property

      “mask-bitmap”              gpointer

Mask.

Flags: Read / Write

### The `“pixmap”` property

      “pixmap”                   gpointer

Pixmap.

Flags: Read / Write